#include <bits/stdc++.h>

using namespace std;

int main() {
    int n;cin >> n;
    int stalaktiti[n];
    int l;cin >> l;
    int res = -1;
    for(int i = 0;i < n;i++){
        cin >> stalaktiti[n];
        if(stalaktiti[n] <= l){
            cout << i + 1 << '\n';
            return 0;
        }
    }
    cout << res;
    return 0;
}